Bug 362081 - (CVE-2007-5770) CVE-2007-5770 ruby insufficient verification of SSL certificate in various net::* modules
CVE-2007-5770 ruby insufficient verification of SSL certificate in various ne...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20071025,publi...
: Security
Depends On: 320331 320341 320371 320381 373371 373381 373391 373401
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 12:36 EDT by Tomas Hoger
Modified: 2011-10-26 09:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 11:50:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-11-01 12:36:35 EDT
A flaw was discovered in a way various ruby net::* modules verify commonName
(CN) attribute of SSL certificate provided by server against requested hostname,
which makes it easier for remote attackers to intercept SSL transmissions via a
man-in-the-middle attack or spoofed site.

Issue was originally reported for net::http(s) module and was assigned CVE id
CVE-2007-5162.  However, similar issue also affects other modules: net::ftptls,
net::telnets, net::imap and CVS versions of net::pop and net::smtp.

Upstream SVN commit:
http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=13656

Note You need to log in before you can comment on or make changes to this bug.